Subject: BIRD #??? (yet to be issued)

From: [email-masked] (C. Kumar)
Date: Wed, 1 Dec 93 17:24:03 -0500

Hi guys:

I am sorry I forgot the procedure to issue a BIRD. Here is my proposal
which has to yet get the official BIRDIE seal.

------------cut-----------------------------------------------------------------

                Buffer Issue Resolution Document  (BIRD)

BIRD ID#: 	????
ISSUE TITLE:	Pwr and gnd pin mapping
REQUESTER:	C. Kumar, Cadence Design Systems

DATE SUBMITTED: December 1, 1993
DATE ACCEPTED BY IBIS OPEN FORUM:

*******************************************************************************
*******************************************************************************

STATEMENT OF THE ISSUE:  This proposal addresses the need to extend the
IBIS specification to include ground and power pin mappings.

*******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS: 

The proposal is to add two more optional columns to the pin specification
statement. These columns are named gnd (for ground) and pwr (power). These
identify the power and ground pins associated with the signal pin in
question. Following is an example:

Pin]	signal_name	model_name	gnd	pwr
1	RAS0#		Buffer1		10	18
2	RAS1#		Buffer2		12	20
....
...
...
10	GND		GND1		
...
12	GND		GND2
....
18	Vcc3		PWR1
...
20	Vcc5		PWR2
*******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

1. There are devices which have multiple power and ground supplies. The 
   above format will unambiguosely identify the power and ground pins 
   associated with a given signal. Besides the suggested extension is
   evolutionary and should be easy to digest.

*****************************************************************************

ANY OTHER BACKGROUND INFORMATION:

*******************************************************************************

---

From: Don A Telian <[email-masked]>
Date: Wed, 1 Dec 93 15:47:01 PST

Kumar,

Many signals will reference multiple pwr or gnd pins.  How would you
handle that?  The BIRD seems to make allowance for only one pin.  Is
the bussing of "GND2" carried through its name?

Don Telian
_________________________________________________________________________

Hi guys:

------------cut---------------------------------------------------------------
---

BIRD ID#: 	????

******************************************************************************
-*
******************************************************************************
-*

******************************************************************************
-*

Pin]	signal_name	model_name	gnd	pwr
1	RAS0#		Buffer1		10	18
2	RAS1#		Buffer2		12	20
....
...
...
10	GND		GND1		
...
12	GND		GND2
....
18	Vcc3		PWR1
...
20	Vcc5		PWR2
******************************************************************************
-*

******************************************************************************
-*

---

From: [email-masked] (C. Kumar)
Date: Thu, 2 Dec 93 11:51:32 -0500

I think Eric's proposal is more general while still being simple
and evolutionary. Is there anybody else who can think of even a better 
solution?

- kumar